Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::BigInt::DivideByZero Struct Reference

`#include <bigint.h>`

Inheritance diagram for Botan::BigInt::DivideByZero:

## Public Member Functions
| DivideByZero ()
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

DivideByZero Exception

Definition at line 39 of file bigint.h.

## Constructor & Destructor Documentation

Botan::BigInt::DivideByZero::DivideByZero | ( |  | ) |
| inline

Definition at line 40 of file bigint.h.

References DivideByZero().

Referenced by DivideByZero().

40 { DivideByZero() : Exception("BigInt divide by zero") {} };
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.h:24
Botan::BigInt::DivideByZero::DivideByZero
DivideByZero()
Definition: bigint.h:40

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/math/bigint/bigint.h